Package org.apache.qpid.proton.engine

# Interface EventType

All Known Implementing Classes:
  `Event.Type`

public interface EventType
Entry point for external libraries to add event types. Event types should be `final static` fields. EventType instances are compared by reference.

Event types are best described by an `enum` that implements the `EventType` interface, see `Event.Type`.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isValid()`

## Method Details

### isValid

boolean isValid()

Returns:
  false if this particular EventType instance does not represent a real event type but a guard value, example: extra enum value for switch statements, see `Event.Type.NON_CORE_EVENT`